Subject: Re: mysql 3.23.51 compilation problems?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked] (Jari Aalto+list.cygwin)
Cc: [email-masked]
Date: Sun, 28 Jul 2002 11:45:23 +0200

Hallo Jari,

Am Sonntag, 28. Juli 2002 um 10:24 schriebst du:

> I fixed couple of sys.h include errors under cygwin 
> and compilation went to final stage. But now I need more help.
> Does the following error say anything to you? Should I include
> some "-l" library to the compilation phase?

> ./strings/libmystrings.a     -lz -lcrypt -lm 
> g++ -O3 -DDBUG_OFF -fno-implicit-templates -fno-exceptions -fno-rtti -o mysqld sql_lex.o item.o item_sum.o item_buff.o item_func.o item_cmpfunc.o item_strfunc.o item_timefunc.o thr_malloc.o

They recommenmd to use gcc for compile and link of .cc files.
My script (works with GCC 2.95.3-x, not with GCC 3 because of a
similar error like yours and works also for 3.23.51):

#!/usr/bin/sh
set -e
set -x

rm -rf mysql-4.0.2-alpha
tar zxvf ./mysql-4.0.2-alpha.tar.gz
cd mysql-4.0.2-alpha

CFLAGS="-O2" \
 CC=gcc-2 \
 CXX=gcc-2 \
 CXXFLAGS="-O2 -mpentiumpro -felide-constructors -fno-exceptions -fno-rtti" \
 ./configure \
 --prefix=/usr \
 --with-mysqld-user=mysql \
 --with-mysqld-ldflags=-all-static \
 --with-innodb --with-berkeley-db \
 --localstatedir=/var/mysql/data \
 2>&1 | tee ../log.configure

make 2>&1 | tee ../log.make
rm -rf /usr/sql-bench
make install 2>&1 | tee ../log.install
rm -rf /var/mysql/data
mkdir -p /var/mysql/data
make init-db 2>&1 | tee ../log.init

# start the server later manually
# cd /usr/sql-bench ; /usr/bin/safe_mysqld &

# do the tests (requires perl-module DBD::mysql)
# cd sql-bench
# ./run-all-tests

But the server doesn't run.  When running 'make test' for
DBD::mysql all fails because the server crashes immediatly
when you try to connect it.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/